
/***************************************************************************
**
**    $Header:   D:/PICSLDV/SRC/LOG/STKFRM.H__   1.14   09 Jan 1997 14:25:36   ZJRD  $
**
**    $Log:   D:/PICSLDV/SRC/LOG/STKFRM.H__  $
** 
**    Rev 1.14   09 Jan 1997 14:25:36   ZJRD
** No change.
** 
**    Rev 1.13   13 Dec 1996 11:20:28   ZJRD
** No change.
** 
**    Rev 1.12   22 Nov 1996 11:01:26   ZJRD
** No change.
** 
**    Rev 1.11   11 Nov 1996 12:48:42   ZJRD
** No change.
** 
**    Rev 1.10   06 Nov 1996 13:00:42   ZJRD
** No change.
** 
**    Rev 1.9   02 Nov 1996 09:46:40   ZJRD
** No change.
** 
**    Rev 1.8   30 Oct 1996 12:48:56   ZJRD
** PIC/SLD Version 0.93
** 
**    Rev 1.7   28 Oct 1996 09:41:52   ZJRD
** No change.
** 
**    Rev 1.6   21 Oct 1996 09:16:12   ZJRD
** No change.
** 
**    Rev 1.5   09 Oct 1996 13:45:46   ZJRD
** No change.
** 
**    Rev 1.4   23 Sep 1996 10:32:48   ZJRD
** No change.
** 
**    Rev 1.3   06 Sep 1996 13:46:42   ZJRD
** No change.
** 
**    Rev 1.2   02 Sep 1996 11:27:48   ZJRD
** No change.
** 
**    Rev 1.1   15 Aug 1996 10:06:06   ZJRD
** No change.
** 
**    Rev 1.0   13 Aug 1996 09:18:26   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name: STKFRM.H
//
//  Description: The header file for the class: CStkFrame.
//
//  Author: Chen Jun
//
//  Date: 07/29/95
//
//  Modification:
//      1. 07/29/95, Initial version of the class: CStkFrame.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _STKFRM_
#define _STKFRM_


/////////////////////////////////////////////////////////////////////////////
// CStackFrame frame

class CStackFrame : public CMDIChildWnd
{
    DECLARE_DYNCREATE(CStackFrame)
protected:
    CStackFrame();          // protected constructor used by dynamic creation

// Attributes
public:
    CSplitterWnd m_wndSplitter;

public:
    enum { bottomHeight = 20 };
    CVarPane m_wndBottomPane;

// Operations
private:
    BOOL m_nErrorID;
    enum {
        noError = 0,        // No error.
        insufficientMemory, // Insufficient memory.
        bottomPane,         // Cannot create Bottom pane.
        failSplitter,       // Fail to create the splitter window.
        splitterPane,       // Cannot create the pane in the splitter window.
        maxError = 10       // Limition of error ID.
    };
    void DisplayErrorMessage(void) const;

// Implementation
protected:
    virtual ~CStackFrame();
    virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);

protected:

/*
    afx_msg void OnViewDisplayHorizontally();
    afx_msg void OnUpdateViewDisplayHorizontally(CCmdUI* pCmdUI);
    afx_msg void OnViewDisplayVertically();
    afx_msg void OnUpdateViewDisplayVertically(CCmdUI* pCmdUI);
    afx_msg void OnViewSortbyHistory();
    afx_msg void OnUpdateViewSortbyHistory(CCmdUI* pCmdUI);
    afx_msg void OnViewSortbyName();
    afx_msg void OnUpdateViewSortbyName(CCmdUI* pCmdUI);
    afx_msg void OnViewTypecast();
    afx_msg void OnUpdateViewTypecast(CCmdUI* pCmdUI);
*/

    // Generated message map functions
    virtual BOOL PreTranslateMessage(MSG *pMsg);
    //{{AFX_MSG(CStackFrame)
    afx_msg void OnSrchComboKillFocus();
    afx_msg void OnUpdateSearchCombo(CCmdUI* pCmdUI);
    afx_msg void OnMenuSelect(UINT nItemID, UINT nFlags, HMENU hSysMenu);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
    afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
    afx_msg void OnEditInspectsource();
    afx_msg void OnEditSelectLocalVariables();
    afx_msg void OnUpdateEditSelectLocalVariables(CCmdUI* pCmdUI);
    afx_msg void OnEditModifyValues();
    afx_msg void OnUpdateEditModifyValues(CCmdUI* pCmdUI);
    afx_msg void OnEditSearch();
    afx_msg void OnUpdateEditSearch(CCmdUI* pCmdUI);
    afx_msg void OnEditSearchNext();
    afx_msg void OnUpdateEditSearchNext(CCmdUI* pCmdUI);
    afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
    afx_msg void OnUpdateEditInspectsource(CCmdUI* pCmdUI);
    afx_msg void OnViewFormatfunctionlist();
    afx_msg void OnUpdateViewFormatfunctionlist(CCmdUI* pCmdUI);
    afx_msg void OnViewFunctionsandlocals();
    afx_msg void OnUpdateViewFunctionsandlocals(CCmdUI* pCmdUI);
    afx_msg void OnViewFunctionsonly();
    afx_msg void OnUpdateViewFunctionsonly(CCmdUI* pCmdUI);
    afx_msg void OnStkTab();
    afx_msg void OnViewRununtil();
    afx_msg void OnUpdateViewRununtil(CCmdUI* pCmdUI);
    afx_msg void OnViewSetbreakpoint();
    afx_msg void OnUpdateViewSetbreakpoint(CCmdUI* pCmdUI);
	afx_msg void OnShiftf10();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
//////////////////////////////// End of File ////////////////////////////////
